## omlibrary 2.2

=== debian/changelog ===
omlibrary (2.2-1) unstable; urgency=low

  * The Modelica Standard Library 2.2, as modified by OpenModelica.
 -- Martin Sjölund <martin.sjolund@liu.se>  Wed, 21 Apr 2010 11:30:17 +0200
