=== debian/control ===
Source: omlibrary
Section: math
Priority: optional
Maintainer: Martin Sjölund <martin.sjolund@liu.se>
Build-Depends: debhelper (>= 7.0.0),
 tofrodos
Standards-Version: 3.8.4

Package: omlibrary
Section: math
Architecture: all
Depends: ${misc:Depends}
Recommends: omc (= ${binary:Version})
Description: The OpenModelica Project a complete Modelica environment
 The goal of the project is to create a complete Modelica modeling, compilation
 and simulation environment based on free software distributed in binary and
 source code form.
 .
 ! THIS IS NOT A OFFICIAL DEBIAN PACKAGE, USE IT WITH CARE !
 .
 This package provides the Modelica Library 2.2.
