=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Some variables to install binaries under debian/tmp
DEST   = $(CURDIR)/debian/tmp
SRCD   = $(CURDIR)

# Compile omc with sendData.cpp and not with humbug.cpp
export QTHOME=/usr

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-stamp

build-stamp:
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs -pomlibrary -Pdebian/tmp

	# Move Modelica Library
	mkdir -p $(DEST)/usr/share/omc/modelicalib
	cp -r $(SRCD)/Modelica $(SRCD)/ModelicaAdditions $(SRCD)/SimpleFluid $(DEST)/usr/share/omc/modelicalib

	# Change file modus in Modelica Library
	(cd $(DEST)/usr/share/omc/modelicalib/; \
	find ./ -type f -print | xargs chmod 644)

	# Change line ends from dos to unix in Modelica Library
	(cd $(DEST)/usr/share/omc/modelicalib/; \
	find ./ -type f \( -name *\.mo -print \) , \
	                \( -name *\.mos -print \) , \
	                \( -name *\.txt -print \) , \
	                \( -name *\.c -print \) , \
	                \( -name *\.h -print \) , \
	                \( -name *\.html -print \) \
	                | xargs fromdos)

	# Change file name extension from pn to png
	(cd $(DEST)/usr/share/omc/modelicalib/ModelicaAdditions/help/; \
	rename.ul .pn .png *.pn)
	rm $(DEST)/usr/share/omc/modelicalib/Modelica/C-Sources/_ModelicaLicense.txt

	dh_install

# Build architecture-dependent files here.
binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress -X.pdf -X.mo -X.mos
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
